El soporte de PHP 5.6 expira al final del 2018

El soporte de seguridad de PHP 5.6 expira a finales de diciembre de 2018. Ya en enero de 2017 los desarrolladores concluían las actualizaciones de las funciones de esta versión. No obstante, la fecha de finalización de la vida útil, es decir, el fin del soporte, se pospuso un año pues se sabía de la popularidad con la contaba la versión en cuestión del lenguaje de programación.

Millones de páginas web trabajan con PHP 5.6

Las páginas web con contenido dinámico usan el lenguaje de programación para ejecutar diferentes programas. Incluso los CMS como WordPress o software de tiendas online como Magento tienen, por normal general, PHP instalado en el servidor. Según un estudio sobre tecnología web realizado por W3Techs el 61,4 por ciento de los 10 millones de webs de mayor tamaño usan el servidor PHP 5. De este porcentaje, el 41,6 por ciento utilizan el soporte de seguridad gratuito de la comunidad PHP de la versión PHP 5.6. Pero, a partir del nuevo año, ya no van a recibir más soporte de seguridad.

No significa que en las versiones PHP 7.1 o posteriores, caracterizadas por su limitado tiempo de ejecución y su núcleo optimizado, los hackers no encuentren vulnerabilidades. No obstante, estas versiones de PHP continuarán recibiendo actualizaciones de seguridad hasta al menos el 1 de diciembre de 2019.

Muchas web utilizan versiones antiguas de PHP

A partir del 1 de enero de 2019, PHP 5.6 no va a recibir protección de manera oficial. El soporte para la nueva versión PHP 7.0 (si bien menos extendida en uso), expira casi un mes antes, el 4 de diciembre de 2018. Si bien esto es solo un aparte del problema.

La estadística de W3Tech muestra que un gran número de sitios web usan PHP 5 en segundo plano, aunque en versiones incluso anteriores a PHP 5.6, a punto de expirar. Más concretamente el 58,4 por ciento de las web que utilizan PHP 5 no están protegidas. En otras palabras, en torno a cuatro millones de dominios, esto es, el 35,9 por ciento de las páginas visitadas, tienen riesgos de seguridad. En enero esta cifra se duplicará si lo usuarios no actualizan a una versión PHP con soporte de seguridad. Los desarrolladores, por su parte, recomiendan pasarse a la última versión, esta es, PHP 7.3., que se lanzará el 13 de diciembre de 2018.

Actualizar PHP: ¿sí o no?

En vista del gran número de páginas con una versión no actualizada de PHP se puede pensar, bien que existe un gran número de gestores web desconocedores de la obsolescencia de la versión del lenguaje de programación en uso, bien que estos gestores rehúsan de las actualizaciones de PHP. En caso de que no se conozca la versión de PHP ejecutada en el servidor, se puede comprobar en el centro de control del proveedor de hosting, pues suele incluir una sección para la configuración de PHP, que a su vez contiene información sobre las versiones para los diferentes dominios alojados. En la actualidad, lo más recomendado es la actualización a PHP 7.1 o superior, que en comparación con la versión 5.6 es capaz de cargar las páginas con contenido dinámico con una rapidez mayor al 100 por ciento.

Quienes tomen la decisión de actualizar su versión de PHP, podrán hacerlo con solo unos clics a través del proveedor de hosting. Sin embargo, en determinadas circunstancias, pueden producirse errores en los sitios web debido a la falta de compatibilidad con versiones anteriores. Los operadores con poca experiencia en aplicaciones ya preparadas y en programación se pueden enfrentar a obstáculos cuya resolución solo es posible con la ayuda de expertos. Si sustituyes PHP 5.6 por la versión actualizada PHP 7.2 es posible probar la versión de prueba antes de decidir instalarla definitivamente.

Consejo

1&1 IONOS es uno de los pocos proveedores de alojamiento que soportan versiones antiguas de PHP con actualizaciones de seguridad. Con PHP Soporte Extendido el cliente puede decidir si quiere actualizar la versión de PHP y cuándo hacerlo.